/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.quality-col {

    color: var(--white);

    &-value {
        font-size: rem(12);
        font-weight: 500;
        display: inline-block;
    }

    &-classification {
        width: rem(8);
        height: rem(8);
        margin-right: rem(5);
        border-radius: 100%;
        background: #1CEDA2;
        display: inline-block;

        &.high {
            background: #1CEDA2;
        }

        &.medium {
            background: yellow;
        }

        &.low {
            background: red;
        }
    }

    &.highlighted {
        .card-quality-value {
            font-size: rem(96);
            line-height: rem(96);
        }
    }

}

.datatable-body-row-column-overall {

    display: flex;
    align-items: center;

    .quality-col {
        display: flex;
        align-items: center;
        width: max-content;

        .quality-col-classification {
            margin-right: rem(8);
        }

        .quality-col-value {
            font-size: rem(32);
            font-weight: 300;
        }
    }

}

.quality-table {
    .datatable-body-row-column-name {
        span {
            font-weight: 900;
            color: var(--white);
            font-size: rem(14);
        }
    }
}